function OnWarpEnter() 
	SetMarker("cs\\Warp_0210.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0208.wp" , 0 , 0)

	ImportAnimationWarp("3D\\cs\\Warp_0009")

	StartAnimation("bca1")
---------------------------------------------------------------------------------------------------------------------------------------------------------------------- PART 2
--DAY3
	if ETAT_DAY == "D3" then 
		StartAnimation("bcan",-1)
		-- pot sur le poêle
		AnimationSetToStart("blan")
		-- Nostradamous on bed
		StartAnimationPart("bban",0,60,-1,true)
		if not FIRST_THIRDNITE_ENTER_D3 then
			LookAt(221,011)
			FIRST_THIRDNITE_ENTER_D3 = true
			PlayMusic("Sounds/Musiques/M_Hypnose.ogg")
			-- Nostradamus dans le lit
			StartAnimationPart("bban", 60 ,90, -1,true)
			DrawText("No2318","No2318.ogg",2) -- Tu es rentrée ma chérie. Il fait déjà nuit j'ai dû dormir longtemps.
			DrawText("Ma2319","Ma2319.ogg",0) -- En effet, mais tu devais en avoir besoin. Comment tu te sens ?
			DrawText("No2320","No2320.ogg",2) -- Fatigué, mais ça va aller. Et toi jeune fille comment s'est passée ta journée ?
			DrawText("Ma2321","Ma2321.ogg",0) -- Un peu sinistre, à vrai dire. J'ai fouillé le bureau de Chavigny, quel cachottier celui-là ! Et puis j'ai découvert un des gardes mort, avant de rencontrer une certaine Constance.
			DrawText("No2322","No2322.ogg",2) -- Encore un mort ?
			DrawText("Ma2323","Ma2323.ogg",0) -- Oui, il a été poignardé.
			DrawText("No2324","No2324.ogg",2) -- Tu dois découvrir au plus vite qui s'attache à réaliser cette prophétie.
			
			if not SAVE_02 then ------------------------------------------ Première Save Part 2
				-- SAVE
				SAVE_02 = true
				SaveGame("2.xml")
			end
		else
			-- Nostradamus dans le lit
			SetMarker("bban",4,0)
		end

	end
end

function OnWarpLeave()
end

function AskSeparation()

	if ETAT_DAY == "D3" then 
		if not NOSTRADAMUS_GIVE_KEY_D3 then
			PushAnswer("Ma2325") -- J'ai trouvé deux quatrains écrits par toi et qui ressemblent à la prophétie.
		end
		PushAnswer("Ma2340") -- J'ai besoin de préparer un aphrodisiaque pour Constance, la suivante de la Reine mère. Tu peux me donner ta célèbre recette ?
		PushAnswer("3411") -- [Prendre congé]
	end
end

function OnDialogFinished(dialogName)
---------------------------------------------------------------------------------------------------------------------------------------------------------------------- PART 2
--DAY3
	if ETAT_DAY == "D3" then

		if dialogName == "Ma2319" or dialogName == "Ma2321" or dialogName == "Ma2323" or dialogName == "Ma2326" or dialogName == "Ma2328" or dialogName == "Ma2330"  
		or dialogName == "Ma2694" or dialogName == "No2342" or dialogName == "Ma2344" then 
			StartAnimationPart("bban",60,90,-1,false)
		end

		if dialogName == "No2318" or dialogName == "No2320" or dialogName == "No2322" or dialogName == "No2324" or dialogName == "No2327" or dialogName == "No2329" 
		or dialogName == "No3120" or dialogName == "No2341" or dialogName == "No2701" or dialogName == "No2345" then 
			StartAnimationPart("bban",0,60,-1,false)
		end

		if dialogName == "No2324" then -- Tu dois découvrir au plus vite qui s'attache à réaliser cette prophétie.
			AskSeparation()
		end
		if dialogName == "No2342" then -- Madeleine !
			LookAt(223,13)
			StartAnimationPart("bban",60,90,-1,false)
			DrawText("No2343","No2343.ogg",2) -- Prends cette clef. Elle ouvre le tiroir de mon bureau, tu pourrais en avoir besoin et ça t'évitera d'avoir à me faire les poches, comme hier avec le médaillon !
		end
		if dialogName == "No3120" then -- Prends cette clef et va voir dans le tiroir de mon bureau, j'en ai peut-être gardé une trace.
			AddToBag("A_clef_tiroir")
			SetMarker("bban", 4, 0)
--			DrawText("Ma2344","Ma2344.ogg",0) -- Mais Papa !
--			DrawText("No2345","No2345.ogg",2) -- Je plaisante, Madeleine, allez, file tu as mieux à faire que de rester plantée là !
--			DrawText("No2343","No2343.ogg",2) --  Prends cette clef. Elle ouvre le tiroir de mon bureau, tu pourrais en avoir besoin et ça t'évitera d'avoir à me faire les poches, comme hier avec le médaillon !
--			DrawText("Ma2870","Ma2870.ogg",0) -- Je doute que père ne m’ait donné la clef de son bureau par hasard. Soit il pressent que ce qu’il contient peut m’être utile, soit il le sait, et c’est à se demander ce qu’il a derrière la tête !
		end
		if dialogName == "No2343" then -- Prends cette clef et va voir dans le tiroir de mon bureau, j'en ai peut-être gardé une trace.
			AddToBag("A_clef_tiroir")
			StartAnimationPart("bban",0,60,-1,false)
			NOSTRADAMUS_GIVE_KEY_D3 = true
			DrawText("Ma2344", "Ma2344.ogg", 0)	-- Mais Papa !
			DrawText("No2345", "No2345.ogg", 2)	-- Je plaisante, Madeleine, allez, file tu as mieux à faire que de rester plantée là !
			DrawText("Ma2870", "Ma2870.ogg", 0)	-- Je doute que père ne m’ait donné la clef de son bureau par hasard. Soit il pressent que ce qu’il contient peut m’être utile, soit il le sait, et c’est à se demander ce qu’il a derrière la tête !

		end
		if dialogName == "Ma2870" or dialogName == "No2341" then -- Je doute que père ne m’ait donné la clef de son bureau par hasard. Soit il pressent que ce qu’il contient peut m’être utile, soit il le sait, et c’est à se demander ce qu’il a derrière la tête !
			SetMarker("bban", 4, 0)
		end
	end
end

function OnAnimationFinished(objectName)
end

function OnAnswered(textId)
	
	if textId == "Ma2325" then -- J'ai trouvé deux quatrains écrits par toi et qui ressemblent à la prophétie.
		NOSTRADAMUS_GIVE_KEY_D3 = true
		DrawText("Ma2326","Ma2326.ogg",0) -- Ce qui est troublant pourtant, c'est que tout se déroule exactement comme dans le quatrain corrigé par Chavigny, et non comme dans les vers originaux.
		DrawText("No2327","No2327.ogg",2) -- Intéressant, ce qui tend à penser que, soit Chavigny devient très doué, soit quelqu'un tue en se basant sur ce qu'il a écrit !
		DrawText("Ma2328","Ma2328.ogg",0) -- Je chercherai à en apprendre plus demain. Sinon, j'ai aussi trouvé dans les affaires de Jean-Aimé un thème sans indication de nom, il s'agit de quelqu'un né le 13 décembre 1553 il me semble.
		DrawText("No2329","No2329.ogg",2) -- Tu en es sûre ?
		DrawText("Ma2330","Ma2330.ogg",0) -- Oui, pourquoi ?
		DrawText("No2331","No2331.ogg",2) -- Cette date me dit quelque chose. Je suis prêt à parier que j'ai travaillé sur ce thème. 
		DrawText("No3120", "No3120.ogg", 2) -- Prends cette clef et va voir dans le tiroir de mon bureau, j'en ai peut-être gardé une trace.
--		DrawText("Ma2332","Ma2332.ogg",0) -- Je chercherai à en apprendre plus demain. Pour l'instant tu devrais te reposer. De mon côté, j'ai trouvé d'autres feuillets que je n'ai pas eu le temps d'examiner, je vais m'y mettre.
--		DrawText("No2333","No2333.ogg",2) -- Très bien Madeleine. Tu me raconteras demain.
	end
	if textId == "Ma2340" then -- J'ai besoin de préparer un aphrodisiaque pour Constance, la suivante de la Reine mère. Tu peux me donner ta célèbre recette ?
		StartAnimationPart("bban",60,90,-1,false)
		DrawText("No2341","No2341.ogg",2) -- C'est à base d'ambre gris et de pommes de mandragore, mais pour le reste, ma mémoire me fait défaut. J'avais donné la recette à ton frère, il doit la conserver dans sa chambre, c'est bien de son âge !
	end

	if textId == "3411" then -- [Prendre congé]
		SetMarker("bban",4,0)
	end	
	
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0210.wp" then 
		if ETAT_DAY == "D3" then
			if not NOSTRADAMUS_GIVE_KEY_D3 then
				SetMarker("bban", -1, 0)
				DrawText("No2342","No2342.ogg",2) -- Madeleine !
			else
				ChangeWarp(objectName)
			end
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0208.wp" then 
		if ETAT_DAY == "D3" then
			if not NOSTRADAMUS_GIVE_KEY_D3 then
				SetMarker("bban", -1, 0)
				DrawText("No2342","No2342.ogg",2) -- Madeleine !
			else
				ChangeWarp(objectName)
			end
		else
			ChangeWarp(objectName)
		end
	end

---------------------------------------------------------------------------------------------------------------------------------------------------------------------- PART 2

	if ETAT_DAY == "D3" then

		-- Nostradamus dans le lit
		if objectName == "bban" then
			SetMarker("bban", -1, 0)
			AskSeparation()
		end
	end
end
